"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var modal_backdrop_1 = require("./modal-backdrop");
var modal_window_1 = require("./modal-window");
var modal_stack_1 = require("./modal-stack");
var modal_service_1 = require("./modal.service");
var modal_service_2 = require("./modal.service");
exports.NgfModal = modal_service_2.NgfModal;
var modal_ref_1 = require("./modal-ref");
exports.NgfModalRef = modal_ref_1.NgfModalRef;
exports.NgfActiveModal = modal_ref_1.NgfActiveModal;
var modal_dismiss_reasons_1 = require("./modal-dismiss-reasons");
exports.ModalDismissReasons = modal_dismiss_reasons_1.ModalDismissReasons;
var NgfModalModule = (function () {
    function NgfModalModule() {
    }
    NgfModalModule.forRoot = function () {
        return {
            ngModule: NgfModalModule,
            providers: [modal_service_1.NgfModal, modal_stack_1.NgfModalStack]
        };
    };
    return NgfModalModule;
}());
NgfModalModule.decorators = [
    { type: core_1.NgModule, args: [{
                declarations: [
                    modal_backdrop_1.NgfModalBackdrop,
                    modal_window_1.NgfModalWindow
                ],
                entryComponents: [
                    modal_backdrop_1.NgfModalBackdrop,
                    modal_window_1.NgfModalWindow
                ],
                providers: []
            },] },
];
/** @nocollapse */
NgfModalModule.ctorParameters = function () { return []; };
exports.NgfModalModule = NgfModalModule;
//# sourceMappingURL=modal.module.js.map